#include "LED13.h" // include the decleration for this class

const byte LED_PIN = 13; // use the LED @ Arduino pin 13, this should not change so make it a constant

// <<constructor>> setup the LED and make pin 13 an OUTPUT
LED13::LED13(){
	pinMode(LED_PIN, OUTPUT); // make that pin an output
}

// <<destructor>>
LED13::~LED13(){/"nothing to destruct"/}

// turn the LED on
void LED13::on(){
	digitalWrite(LED_PIN,HIGH); // set the pin HIGH and turn the LED on
}

// turn the LED off_type
void LED13::off(){
	digitalWrite(LED_PIN,LOW); // set the pin LOW and turn the LED off
}

// blink the LED in a period equal to paramater - time
void LED13::blink(int time){
	on();			// turn the LED on
	delay(time/2);	// wait half of the delay period
	off();			// turn LED off
	delay(time/2);	// wait for last half of the delay period
}